- API-Referenz
- Domain
- Get a Contact-Verification
Get a Contact-Verification
GET/v2/contact-verifications/{contactVerificationId}
API-Version
v2
Request-Methode
GET
Operation-ID
domain-get-contact-verification
Request
- contactVerificationIdstring (uuid)required
Responses
Format
application/json
Beschreibung
OK
- idstring (uuid)required
- statusstring (einer von: created, pending, completed, failed)required
- typeDataeine von 3 Alternativenrequired
- Alternativeobject
- type"address"required
- valuestringrequired
- Alternativeobject
- emailVerificationDeadlinestring (date-time)
- lastEmailSentDatestring (date-time)
- type"email"required
- valuestringrequired
- Alternativeobject
- type"name"required
- valuestringrequired
Content-Type: application/json
{
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"status": "created",
"typeData": {
"type": "address",
"value": "string"
}
}
{
"properties": {
"id": {
"format": "uuid",
"type": "string"
},
"status": {
"enum": [
"created",
"pending",
"completed",
"failed"
],
"type": "string"
},
"typeData": {
"oneOf": [
{
"properties": {
"type": {
"enum": [
"address"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value"
],
"type": "object"
},
{
"properties": {
"emailVerificationDeadline": {
"format": "date-time",
"type": "string"
},
"lastEmailSentDate": {
"format": "date-time",
"type": "string"
},
"type": {
"enum": [
"email"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value"
],
"type": "object"
},
{
"properties": {
"type": {
"enum": [
"name"
],
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"type",
"value"
],
"type": "object"
}
]
}
},
"required": [
"id",
"status",
"typeData"
],
"type": "object"
}
Format
application/json
Beschreibung
Validation Error caused by invalid input data in the request
- type"ValidationError"required
- messagestring
- validationErrorsArray von objectrequired
- Array[
- *object
- messagestringrequired
The standard error message
- pathstringrequired
The path to the part of the data that was validated. JavaScript property access notation (e.g., ".prop[1].subProp") is used.
- typestringrequired
ajv validation error type (e.g. "format", "required", "type") or own validation error types
- contextobject
The object with the additional information about the error that can be used to create custom error messages. Keys depend on the type that failed validation (e.g. "missingProperty" for type "required")
- *string
]
Content-Type: application/json
{
"type": "ValidationError",
"message": "Validation failed",
"validationErrors": [
{
"message": "should be string",
"path": ".address.street",
"type": "format",
"context": {
"format": "email"
}
}
]
}
{
"type": "object",
"required": [
"type",
"validationErrors"
],
"properties": {
"type": {
"type": "string",
"enum": [
"ValidationError"
]
},
"message": {
"type": "string",
"example": "Validation failed"
},
"validationErrors": {
"type": "array",
"items": {
"type": "object",
"required": [
"message",
"path",
"type"
],
"properties": {
"message": {
"type": "string",
"description": "The standard error message",
"example": "should be string"
},
"path": {
"type": "string",
"description": "The path to the part of the data that was validated. JavaScript property access notation (e.g., \".prop[1].subProp\") is used.\n",
"example": ".address.street"
},
"type": {
"type": "string",
"description": "ajv validation error type (e.g. \"format\", \"required\", \"type\") or own validation error types",
"example": "format"
},
"context": {
"type": "object",
"example": {
"format": "email"
},
"description": "The object with the additional information about the error that can be used to create custom error messages. Keys depend on the\ntype that failed validation (e.g. \"missingProperty\" for type \"required\")\n",
"additionalProperties": {
"type": "string"
}
}
}
}
}
}
}
Format
application/json
Beschreibung
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Format
application/json
Beschreibung
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
Format
application/json
Beschreibung
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contact-verifications/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.getContactVerification({
"contactVerificationId": "f0f86186-0a5a-45b2-aa33-502777496347"
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\GetContactVerification\GetContactVerificationRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new GetContactVerificationRequest(
contactVerificationId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->domain()->getContactVerification($request);
var_dump($response->getBody();